
#include <hc11.h>
#include <stdio.h>
int second;
int minute;

#pragma interrupt_handler RtiInt
void RtiInt()
{	static int tictac = 0;
	if (++tictac >= 244){		/* 8 Mhz, 150 pour 4,9 Mhz */
		tictac = 0;
		if (++second >= 60) {
			second = 0;
			minute++;
		}
	}
	TFLG2 |= 0x40;
}

main()
{
	PACTL &= 0xFC;		/* selectioner la vitesse */
	TMSK2 |= 0x40;		/* declencher le timer */
	asm(" cli ");		/* autoriser les interruptions */
	for (;;);
}

#pragma abs_address:0xFFF0
void (*rtiint_vector)() = RtiInt ;
#pragma end_abs_address

