/*Gnrer un signal carr de 2.15 KHz sur PA3  */ 
 
#define controlboy3
#include <hc11.h>              /*dclaration des bibliotheques*/


#pragma interrupt_handler oc5Int   /*dclaration de l'IT d'oc5*/
void oc5Int()                         /*routine d'interruption*/
{  
	TOC5 +=t232us;       /*dure de l'interruption = 232us*/
	TFLG1 |= 0x8;    /*on met oc5 au niveau haut (drapeau)*/
}                                


#pragma abs_address:0xFFE0      /*routine d'IT , vecteur RESET*/
void (*oc5int_vector)() = oc5Int ; /*adresse de oc5Int en FFEO*/
#pragma end_abs_address                             


void main(void)                          /*programme principal*/
{      	PACTL |=0x08;      /*Timer oc5 activ et PA3 en sortie*/
       	TMSK1 |=0x08; /*IT de oc5 active et PA3 bascule  "0"*/
	TCTL1 |=1;   /*action priodique dfinie sur le port A*/
	TCTL1 &=0xfd;                     /*OMx="0" et OLx="1"*/
	asm(" cli ");            /*autoriser les interruptions*/
 	for(;;);
}

