
#include <hc11.h>
#include <stdio.h>

#pragma interrupt_handler RtiInt
void RtiInt()
{	static int cptit = 0;
	if (++cptit >= 244)
			{		/* pour 1 S 8 Mhz, 150 pour 4,9 Mhz */
				cptit = 0;
				PORTD ^= 0x08;			/* basculer led */
			}
	TFLG2 |= 0x40;		/*efface drapeau IT RTI*/
}

void main()
{	DDRD  = 0x08;		/* PD3 = sortie */
	PACTL &= 0xFC;		/* selectioner la vitesse */
	TMSK2 |= 0x40;		/* declencher le timer */
	asm(" cli ");		/* autoriser les interruptions */
	for (;;);
}

#pragma abs_address:0xFFF0
void (*rtiint_vector)() = RtiInt ;
#pragma end_abs_address

